cURL
curl --request GET \
--url https://api.recoupable.com/api/research/similarimport requests
url = "https://api.recoupable.com/api/research/similar"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.com/api/research/similar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/research/similar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/research/similar"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/research/similar")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/research/similar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"artists": [
{
"id": "wjcgfd9i",
"name": "Drake",
"avatar": "<string>",
"site_url": "<string>"
}
]
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Request failed with status 501"
}Metrics & insights
Similar Artists
Find similar or related artists for competitive analysis and collaboration discovery. Weight parameters are applied when the configured research source supports weighted matching; otherwise the endpoint returns the closest available related-artist set.
GET
/
api
/
research
/
similar
cURL
curl --request GET \
--url https://api.recoupable.com/api/research/similarimport requests
url = "https://api.recoupable.com/api/research/similar"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.com/api/research/similar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/research/similar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/research/similar"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/research/similar")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/research/similar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"artists": [
{
"id": "wjcgfd9i",
"name": "Drake",
"avatar": "<string>",
"site_url": "<string>"
}
]
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Request failed with status 501"
}Query Parameters
Artist name. Required unless id is provided.
Audience overlap weight.
Available options:
high, medium, low Genre similarity weight.
Available options:
high, medium, low Mood similarity weight.
Available options:
high, medium, low Musicality similarity weight.
Available options:
high, medium, low Provider artist ID returned by lookup or search. Required unless artist is provided.
Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Example:
"artist_123"
Was this page helpful?
